Package com.xebialabs.xlrelease.domain.variables

# Class Variable.VariableWithValue<V>

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.variables.Variable
com.xebialabs.xlrelease.domain.variables.Variable.VariableWithValue<V>

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Cloneable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `BooleanVariable`, `DateVariable`, `IntegerVariable`, `ListStringVariable`, `MapStringStringVariable`, `PasswordStringVariable`, `SetStringVariable`, `StringVariable`

Enclosing class:
  `Variable`

public abstract static class Variable.VariableWithValue<V> extends Variable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.xebialabs.xlrelease.domain.variables.Variable

  `Variable.VariableWithValue<V>`

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.variables.Variable

  `description, inherited, key, label, requiresValue, showOnReleaseStart, valueProvider`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableWithValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract V`
  `getValue()`
  Gets underlying value of this variable, or default value for templates.
  `abstract void`
  `setValue(V value)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.variables.Variable

  `accept, checkFolderVariableValidity, checkGlobalVariableValidity, checkValidity, clone, escapeQuotes, getDescription, getEmptyValue, getEmptyValueAsString, getInternalValue, getKey, getLabel, getRequiresValue, getShowOnReleaseStart, getValueAsString, getValueProvider, isInherited, isPassword, isValueAssignableFrom, isValueEmpty, setDescription, setInherited, setKey, setLabel, setRequiresValue, setShowOnReleaseStart, setUntypedValue, setValueProvider`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VariableWithValue

    public VariableWithValue()

- ## Method Details

  - ### getValue

    public abstract V getValue()
    Description copied from class: `Variable`
    Gets underlying value of this variable, or default value for templates. The specific type of value depends on the type of variable.
    Specified by:
      `getValue` in class `Variable`
    Returns:
      the underlying value of this variable, or default value for templates.

  - ### setValue

    public abstract void setValue(V value)